{
    "view": "data_tables_views.v_pesticide_activity",

    "keywords": "pesticide,spray,chemical,insecticide,herbicide",

    "dimensions": {
        "farmer": "farmer_code",
        "season": "season",
        "country":              "country_name",
        "state": "state_name",
        "district": "district_name",
        "block": "block_name",
        "village": "village_name",
        "gender": "gender",
        "farmer_type": "farmer_type",
        "program": "program_name",
        "brand": "brand_name",
        "application_month": "pesticide_application_months",
        "application_method": "method_of_pesticide_application",
        "pesticide": "pesticide_name",
        "pesticide_type": "type_of_pesticide"
    },

    "metrics": {
        "pesticide_application_quantity_in_ml": {
            "description": "pesticide quantity",
            "aggregations": {
                "sum": "SUM(pesticide_application_quantity_in_ml)",
                "avg": "AVG(pesticide_application_quantity_in_ml)"
            }
        },

        "pesticide_application_labour_cost": {
            "description": "pesticide labour cost",
            "aggregations": {
                "sum": "SUM(pesticide_application_labour_cost)",
                "avg": "AVG(pesticide_application_labour_cost)"
            }
        },

        "pesticide_application_material_cost": {
            "description": "pesticide material cost",
            "aggregations": {
                "sum": "SUM(pesticide_application_material_cost)",
                "avg": "AVG(pesticide_application_material_cost)"
            }
        },

        "pesticide_application_equipment_machinery_cost": {
            "description": "pesticide equipment cost",
            "aggregations": {
                "sum": "SUM(pesticide_application_equipment_machinery_cost)",
                "avg": "AVG(pesticide_application_equipment_machinery_cost)"
            }
        },

        "total_pesticide_application_cost": {
            "description": "total pesticide cost",
            "aggregations": {
                "sum": "SUM(total_pesticide_application_cost)",
                "avg": "AVG(total_pesticide_application_cost)"
            }
        },
        "fuel_consumed_for_transportation_in_liters": {
            "description": "fuel consumption",
            "aggregations": {
                "sum": "SUM(fuel_consumed_for_transportation_in_liters)",
                "avg": "AVG(fuel_consumed_for_transportation_in_liters)"
            }
        }, 
        "total_cotton_land": {
            "description": "cotton land",
            "aggregations": {
                "sum": "SUM(total_cotton_land)",
                "avg": "AVG(total_cotton_land)"
            }
        },
        "total_estimated_yield": {
            "description": "estimated yield",
            "aggregations": {
                "sum": "SUM(total_estimated_yield)",
                "avg": "AVG(total_estimated_yield)"
            }
        }
    },

    "flags": {}
}
